// blog page
header {
  margin: 1.2rem 0;

  .container {
    text-align: center;

    small {
      a {
        text-decoration: none;
        color: black;

        &:hover {
          text-decoration: underline;
        }
      }
    }

    p {
      a {
        text-decoration: none;
        color: black;

        &:hover {
          text-decoration: underline;
        }
      }
    }

    .h2 {
      margin: 0.5rem 0;
      font-size: 1.5rem;
      font-family: $headings;
    }
  }

  .hero-image {
    width: 100%;
    height: auto;
  }
}

.post-content {
  display: grid;
  grid-template-columns: 40% 320px;
  justify-content: space-around;

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: $headings;
    margin: 0;
  }

  p {
    margin: 0.5rem 0;
  }

  .content,
  .sidebar {
    padding: 1rem;
  }

  .content {
    // table of content
    .toc {
      padding: 1rem;
      position: relative;
      z-index: 2;

      ol {
        counter-reset: item;
        position: relative;

        > li:before {
          content: counters(item, ".") ". ";
          display: table-cell;
          padding-right: 0.5rem;
          font-size: 1rem;
          width: 1rem;
          position: relative;
          z-index: 2;
        }
      }

      li {
        counter-increment: item;
        display: table;
        font-weight: 400;
        margin-left: 0;
        -webkit-transition: 0.3s;
        transition: 0.3s;
        width: 100%;

        > a {
          display: inline-block;
          width: 100%;
        }
      }

      li li {
        font-weight: 300;
        margin-bottom: 0;
        margin-left: 0;

        &:before {
          content: counters(item, ".") " ";
        }
      }

      .page-link {
        display: inline-block;
        font-size: 1rem;
        padding-right: 0.8rem;
        color: black;
        text-decoration: none;
        position: relative;
        z-index: 2;
        font-family: $headings;

        &:hover {
          position: relative;
          z-index: 2;
          color: #0277bd;
        }
      }
    }

    // markdown code colors
    .astro-code {
      padding: 1rem;
      margin-bottom: 1rem;

      code {
        background: initial;
        color: initial;
        padding: initial;
        border-radius: 0;
      }
    }

    code {
      background: #f0e8e8;
      color: #1984d6;
      font-size: 1rem;
      padding: 0.2rem 0.5rem;
      border-radius: 0.4rem;
    }
  }

  .sidebar {
    .container {
      margin-bottom: 1rem;

      .h3 {
        margin: 0;
        font-size: 1.6rem;
        font-family: $headings;
      }

      .h4 {
        margin: 0;
        font-size: 1.1rem;
        font-family: $headings;

        a {
          padding: 0.5rem 0.5rem 0;
          margin: 0.5rem 0.5rem 0;
          text-decoration: none;
          color: black;
          display: block;
        }
      }

      small {
        padding: 0 1rem;

        a {
          text-decoration: none;
          color: black;
        }
      }

      .categories {
        display: block;
        list-style: none;

    .badge {
      background: black;
      padding: 0.5rem;
      margin: 0.5rem;
      display: flex;
      color: white;
      text-decoration: none;
      justify-content: center;
      border-radius: 0.5rem;
      text-transform: uppercase;
      font-size: 0.8rem;
      border: 1px solid black;
      align-items: center;
      cursor: pointer;
      transition: color 0.15s ease-in;

      &:hover {
        background: white;
        color: black;
      }

      span {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 1.2rem;
        height: 1.2rem;
        margin-left: 0.5rem;
        border-radius: 50%;
        background-color: dodgerblue;
        transition: 0.95s ease-in;
        color: white;
        font-size: 0.75rem;
      }
    }
      }
    }
  }
}

// blog overview
.container {
  h1 {
    text-align: center;
    margin: 1rem;
  }

  .post-container {
    margin-bottom: 2rem;
    display: flex;
    flex-direction: column;

    .card {
      position: relative;
      display: grid;
      gap: 1rem;
      grid-template-columns: minmax(200px, 33%) 1fr;
      margin: 1rem;
      align-items: center;

      &__image {
        img {
          width: 100%;
          height: auto;
        }
      }

      &__content {
        width: calc(100% - 2rem);

        &__badge {
          background: black;
          color: white;
          text-decoration: none;
          padding: 4px 9px;
          border-radius: 17px;
          font-size: 0.8rem;
          text-transform: uppercase;
          font-family: $primary;
          border: 1px solid black;

          &:hover {
            color: black;
            background: white;
          }
        }

        &__title {
          margin: 0.5rem 0 0;
          font-size: 1.6rem;

          a {
            color: black;
            text-decoration: none;
            font-family: $headings;
          }
        }

        small {
          padding: 0;

          a {
            color: black;
            text-decoration: none;

            &:hover {
              text-decoration: underline;
            }
          }
        }

        &__description {
          margin: 0.5rem 0;
          font-size: 1rem;
        }

        .link span {
          font-family: $headings;
          font-size: 1.1rem;
        }
      }
    }
  }

  nav a {
    margin: 0 auto 2rem;
  }
}

aside {
  display: grid;
  place-items: center;
  _margin-top: 2rem;

  .h3 {
    margin: 0;
    font-size: 1.6rem;
    font-family: $headings;
  }

  .categories {
    display: flex;
    list-style: none;

    .badge {
      background: black;
      padding: 0.5rem;
      margin: 0.5rem;
      display: flex;
      color: white;
      text-decoration: none;
      justify-content: center;
      border-radius: 0.5rem;
      text-transform: uppercase;
      font-size: 0.8rem;
      border: 1px solid black;

      &:hover {
        background: white;
        color: black;
      }

      span {
        display: none;
      }
    }
  }
}

// language switch
.languages {
  border: 1px solid #000;
  appearance: none;
  background-color: white;
  border-radius: 0.25rem;
  padding: 0.4em 0.6em;
  font-size: 14px;
}
.languages:is(:hover, :focus-within) {
  border-color: #ddd;
}

.text-gradient {
  font-weight: 900;
  font-size: 20px;
}

